import serial
import tkinter as tk

ser = serial.Serial('COM7', 9600) # Change 'COM3' to the serial port of your ESP32

root = tk.Tk()

distance_label = tk.Label(root, text="Distance : ")
distance_value = tk.Label(root, text="0 cm")

distance_label.pack()
distance_value.pack()

def update_distance():
    if ser.in_waiting > 0:
        distance = ser.readline().decode().strip()
        distance_value.config(text=distance)

    root.after(100, update_distance)

update_distance()
root.mainloop()
